<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$form = \Core::make('helper/form');
$ui   = \Core::make('helper/concrete/ui');
$uh   = \Core::make('helper/concrete/urls' );

$upVotesField = $this->field('upVotes');
$upVotesFieldJS = preg_replace( '/([\[\]])/', '\\\\\\\\\1', $upVotesField );
$downVotesField = $this->field('downVotes');
$downVotesFieldJS = preg_replace( '/([\[\]])/', '\\\\\\\\\1', $downVotesField );
$pkg = Package::getByHandle( 'gnt_vote_list');
$pkgPath = $uh->getPackageURL( $pkg );

$cID = Page::getCurrentPage()->getCollectionID();
$akHandle = $controller->getAttributeKeyHandle();
$cType = $controller->getAttributeKeyCategoryHandle();

$clearLog = html_entity_decode(URL::route( array('/json/clear_vote_log', 'gnt_vote_list'),  $cType, $cID, $akHandle ) );

ob_start();
?>
	$.getJSON( '<?php echo $clearLog?>', {}, 
			function( d )
			{
				if ('undefined' != typeof(d['error']))
				{
					alert( d['error'] );
				}
				else
				{
					alert( '<?php echo t('Vote log cleared, results unaltered')?>' );
				}
			}
			).error( function ( j, s ) { alert( '<?php echo t('JSON Error: ')?>' + s + '\n' + j.responseText ); } );
<?php 
$clearJs = ob_get_clean();

?>
<style type="text/css">
div.ccm-attribute-ballotbox img
{
	vertical-align: middle;
}

</style>
<div class="ccm-attribute-ballotbox form-inline">
	<div class"col-sm-1" style="float:right">
		<?php echo $ui->button_js( t('Reset'), "$('#$upVotesFieldJS').val('0'); $('#$downVotesFieldJS').val('0');", '' ); ?>
		<?php echo $ui->button_js( t('Clear Log'), $clearJs, '', 'btn-danger' ); ?>
	</div>

	<div class="col-sm-2">
		<div class="input-group">
			<span class="input-group-addon" style="padding-top:2px; padding-bottom:2px"><img src="<?php echo $pkgPath?>/images/thumbs4/on/thumbup-full-left.png"/></span>
			<?php echo $form->number($upVotesField,  intval($upVotes), array('style'=>'min-width:90px')  )?>
		</div>
	</div>

	<?php echo $form->label($upVotesField, t('(Up Votes)'), array('class' => 'col-sm-1', 'style' => 'line-height:33px; text-align: left; margin-left: 0px; padding-left: 0px'))?>

	<?php echo $form->label($downVotesField, t('(Down Votes)'), array('class' => 'col-sm-1', 'style' => 'line-height:33px; text-align: right; margin-right: 0px; padding-right: 0px') )?>

	<div class="col-sm-2">
		<div class="input-group">
			<?php echo $form->number($downVotesField,  intval($downVotes), array('style'=>'min-width:90px') )?>
			<span class="input-group-addon" style="padding-top:2px; padding-bottom:2px"><img src="<?php echo $pkgPath?>/images/thumbs4/on/thumbdn-full-right.png"/></span>
		</div>
	</div>

</div>
<div class="clearfix" style="clear:both"></div>
<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
