<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Concrete\Package\GntVoteList\Src\PageVoteTarget;

unset( $vars['file'] );

$form = \Core::make('helper/form');

$akList = PageVoteTarget::getBallotBoxList();

?>

<style type="text/css">
	.ccm-ui .tab-content .dl-horizontal dt { width: 100px }
	.ccm-ui .tab-content .dl-horizontal dd { margin-left: 120px }
	#updown-tabs-menu.nav.nav-tabs { margin-bottom: 1ex; }
    
</style>

<ul class="nav nav-tabs" id="updown-tabs-menu">
	<li class="active"><a href="#display" role="tab" data-toggle="tab" ><?php echo t("Display Options:")?></a></li>
	<li				  ><a href="#vote"    role="tab" data-toggle="tab" ><?php echo t("Voting Options:")?></a></li>
</ul>


<div id="updown-tabs" class="tab-content">

	<div class="tab-pane active" id="display">

		<fieldset>
			<div class="form-group">
				<?php echo $form->label('boxComment', t("Comment to show:"), array("class" => "center-block" )); ?>
				<?php echo $form->textarea('boxComment', $boxComment, array('rows' => 3)) ?>
			</div>

			<div class="text-muted" >
				<?php echo t("The following patterns will be replaced in the text by their equivalent : "); ?>
				<small>
				<dl class="dl-horizontal" style="max-height: 60px; overflow-y: auto">
					<dt>%UP%        </dt><dd><?php echo t("Number of Up votes")?></dd>
					<dt>%DOWN%      </dt><dd><?php echo t("Number of Down Votes")?></dd>
					<dt>%TOTAL%     </dt><dd><?php echo t("Total number of votes (up+down)")?></dd>
					<dt>%SCORE%     </dt><dd><?php echo t("Vote Score (up-down)")?></dd>
					<dt>%PERCENTUP% </dt><dd><?php echo t("Percentage of up votes")?></dd>
					<dt>%PERCENTDN% </dt><dd><?php echo t("Percentage of down votes")?></dd>
					<dt>%PAGENAME%  </dt><dd><?php echo t("The page name this box is attached to")?></dd>
					<dt>%PAGEDESC%  </dt><dd><?php echo t("The page description this box is attached to")?></dd>
					<dt>%PAGEDESC_N%</dt><dd><?php echo t("The page description truncated to N characters")?></dd>
					<dt>%THUMB%     </dt><dd><?php echo t("The page thumbnail (220x220)")?></dd>
					<dt>%THUMB_WxH% </dt><dd><?php echo t("thumbnail resized to WxH (9999 = no restriction)")?></dd>
				</dl>
				</small>
			</div>	

			<?php echo $bbox->editImages(); ?>

			<div class="help-block" style="text-align:center">
				<?php echo t("Click on an image to change it, reset will apply the template default")?>
			</div>

		</fieldset>

	</div>

	<div class="tab-pane" id="vote">
		<div class="row">
			<?php echo $form->label('akHandle', t("Vote in :") , array('class' => 'col-sm-5 text-right')) ?>
			<div class="input col-sm-7">
				<?php echo $form->select('akHandle', $akList, $akHandle) ?>
			</div>
		</div>

		<?php echo $bbox->editForm(get_defined_vars()); ?>
	</div>

</div>

<script type="text/javascript">
$(function(){
	var tabMenuRoot = 'ul#updown-tabs-menu';
	var tabPaneRoot = '#updown-tabs';

	$( tabMenuRoot + ' a').click(function(e){
		e.preventDefault();

        $(tabMenuRoot + ' li').removeClass('active');
        $(this.parentNode).addClass('active');
        pane = $(this).attr('href').replace('#','');
        $(tabPaneRoot + ' div.tab-pane').removeClass('active');
        $(tabPaneRoot + ' div.tab-pane#' + pane ).addClass('active');

	});
});


</script>

<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
