<?php 
namespace Concrete\Package\GntVoteList\Block\GntVoteList;

defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use \Concrete\Core\Page\Type\Type as PageType;
use URL;
use Page;
use Log;

use \Concrete\Package\GntVoteList\Src\PageVoteTarget;

$uh   = \Core::make('helper/concrete/urls');
$form = \Core::make('helper/form');
$ps   = \Core::make('helper/form/page_selector');

$imageJSON = URL::route(array('/json/vote_list_images/', 'gnt_vote_list'));

$filters = Controller::getFilters();


$akList = PageVoteTarget::getBallotBoxList();

$searchTypeOptions = Controller::getSearchTypes();
$sortByOptions     = Controller::getSortByTypes();
$sortTypesOptions  = Controller::getSortTypes();
$timeFrameSizes    = Controller::getTimeFrameSizes();
$timeFrameEnds     = Controller::getTimeFrameEnds();
$keywordSources    = Controller::keywordSourceTypes();

$underSelect = array(Controller::SEARCH_UNDER, Controller::SEARCH_ALL_UNDER);
$showPageSel = array_search($searchType, $underSelect) !== false;
$timeFrameRelatedSorts = array(Controller::SORT_BY_TIMEFRAME_UP_VOTES, Controller::SORT_BY_TIMEFRAME_DOWN_VOTES, Controller::SORT_BY_TIMEFRAME_TOTAL_VOTES);

$hideTimeFrame = !in_array($sortBy, $timeFrameRelatedSorts);

$templateList = $controller->listVoteTemplates();

$pageTypeOptions = array('0' => 'All');
foreach( PageType::getList() as $ct ) {
    $pageTypeOptions[$ct->getPageTypeID()] = $ct->getPageTypeName();
}

$checks = array (
	'displayAliases' 		=> t('Show Pages Aliases'),
	'displayPagination'		=> t('Pagination controls'),
);

if (!$baseNode) {
    $baseNode = Page::getCurrentPage()->getCollectionID();
}

$grid	     = 5;
$labelGrid   = array ('class' => "col-sm-${grid} text-right");
$inputGrid   = "col-sm-" . (12-$grid);
$inputOffset = "col-sm-offset-$grid";
?>


<ul class="nav nav-tabs" id="updown-tabs-menu" style="margin-left:-15px; margin-right:-20px; margin-bottom:1ex;" >
	<li class="active"><a href="#search" ><?php echo t("Search Options")?></a></li>
	<li				  ><a href="#filters"><?php echo t("Filters")?></a></li>
	<li				  ><a href="#display"><?php echo t("Display Options")?></a></li>
	<li				  ><a href="#voting" ><?php echo t("Voting")?></a></li>
</ul>

	<!--Search Options -->
<div class="tab-content" id="updown-tabs">

	<div class="tab-pane active" id="search">

		<div class="clearfix">
			<?php echo $form->label('searchType', t("Search Type"), $labelGrid) ?>
			<div class="input <?php echo $inputGrid?>">
				<?php echo $form->select('searchType', $searchTypeOptions, $searchType) ?>
			</div>
			<div id="updown-vote-page-selector" <?php echo !$showPageSel ? 'style="display:none"':''?> class="<?php echo $inputGrid?> <?php echo $inputOffset?>" >
				<?php echo $ps->selectPage('baseNode', $baseNode); ?>
			</div>
		</div>
		<script type="text/javascript">
		$(function()
		{
			$('#searchType').change(function() {
				var v = parseInt($("#searchType").val());
				var vals = [ <?php echo implode($underSelect, ", ")?> ];

				if ($.inArray( v, vals) != -1) {
                    $("#updown-vote-page-selector").show();
                } else {
					$("#updown-vote-page-selector").hide();
                }
			});
		});
		</script>

		<div class="clearfix">
			<?php echo $form->label('sortBy', t("Sort By:"), $labelGrid) ?>
			<div class="input <?php echo $inputGrid?>"><?php echo $form->select('sortBy', $sortByOptions, $sortBy) ?></div>
		</div>

		<div class="clearfix">
			<?php echo $form->label('sortType', t("Order :"), $labelGrid) ?>
			<div class="input <?php echo $inputGrid?>"><?php echo $form->select('sortType', $sortTypesOptions, $sortType) ?></div>
		</div>

		<script type="text/javascript">
		$(function() {
			$('#sortBy').change(function() {
				var v = parseInt($("#sortBy").val());
				var vals = [ <?php echo implode($timeFrameRelatedSorts, ", ")?> ];

				if ($.inArray( v, vals ) != -1) {
					$("#votelist-timeframe-options").show();
				}
				else
				{
					$("#votelist-timeframe-options").hide();
				}
			});
		});
		</script>


		<div id="votelist-timeframe-options" style="<?php echo $hideTimeFrame?'display:none':''?>" >

			<div class="clearfix" id="votelist-timeframe-size" >
				<?php echo $form->label( 'timeFrameSize', t("timeframe :"), $labelGrid ) ?>
				<div class="input <?php echo $inputGrid?>"><?php echo $form->select('timeFrameSize', $timeFrameSizes, $timeFrameSize) ?></div>
			</div>

			<div class="clearfix" id="votelist-timeframe-end" >
				<?php echo $form->label( 'timeFrameEnd', t("timeframe stops"), $labelGrid ) ?>
				<div class="input <?php echo $inputGrid?>"><?php echo $form->select('timeFrameEnd', $timeFrameEnds, $timeFrameEnd) ?></div>
			</div>

			<script type="text/javascript">
			$(function() {
				$('#timeFrameEnd').change(function() {
					var v = parseInt($("#timeFrameEnd").val());

					if ( v == <?php echo Controller::TIMEFRAME_ENDS_NOW ?> ) {
						$("#votelist-timeframe-relevancy").hide();
                    } else {
                        $("#votelist-timeframe-relevancy").show();
                    }
				});
			});
			</script>

			<div class="clearfix" id="votelist-timeframe-relevancy" style="<?php echo $timeFrameEnd==Controller::TIMEFRAME_ENDS_NOW?'display:none':''?>" >
				<?php echo $form->label('relevantTimeFrame', t("Minimum sitewide votes per timeframe"), $labelGrid) ?>
				<div class="input <?php echo $inputGrid?> "><?php echo $form->number( 'relevantTimeFrame', $relevantTimeFrame) ?></div>
			</div>
		</div>

	</div>

	<!-- Filters -->
	<div class="tab-pane" id="filters">

		<div class="clearfix">
			<?php  echo $form->label('filterOnlyVotables', t("Only votable pages"), $labelGrid); ?>
			<div class="input <?php echo $inputGrid?>">
				<?php  echo $form->checkbox('filterOnlyVotables', 1, $filterOnlyVotables, array('style' => 'display:inline-block'));?>
			</div>
		</div>

		<div class="clearfix">
			<?php echo $form->label('akHandle', t("Use Vote:"), $labelGrid) ?>
			<div class="input <?php echo $inputGrid?>">
				<?php echo $form->select('akHandle', $akList, $akHandle) ?>
			</div>
		</div>

		<?php 
		foreach ($filters as $key => $desc) {
			$filterMin = "${key}Min";
			$filterMax = "${key}Max";
            $filterMinEnabled = "${filterMin}Enabled";
            $filterMaxEnabled = "${filterMax}Enabled";
            ?>
            <div class="clearfix">
                <?php echo $form->label($filterMin, $desc, $labelGrid); ?>
                <div class="input <?php echo $inputGrid?>">
                    <div class="row">

                        <div class="col-sm-5">
                            <div class="input-group">
                                <span class="input-group-addon"><?php echo $form->checkbox($filterMinEnabled, 1, ${$filterMinEnabled})?></span>
                                <?php echo $form->number($filterMin, ${$filterMin});?>
                            </div>
                        </div>

                        <?php echo $form->label($filterMax, t(' and '), array('class' => 'col-sm-2 text-center', 'style' => 'padding:0px; line-height:30px')); ?>

                        <div class="col-sm-5">
                            <div class="input-group">
                                <span class="input-group-addon"><?php echo $form->checkbox($filterMaxEnabled, 1, ${$filterMaxEnabled})?></span>
                                <?php echo $form->number($filterMax, ${$filterMax});?>
                                </div>
                            </div>
                        </div>
                        <script type="text/javascript">
                            <?php  foreach(array($filterMin, $filterMax) as $inputName) { ?>
                            $(function(){
                                $input = $('#<?php echo $inputName?>');

                                $input.change(function(){
                                    $input = $('#<?php echo $inputName?>');
                                    $checkbox = $('#<?php echo $inputName?>Enabled').get(0);
                                    $checkbox.checked = $input.val() != '';
                                });

                                $checkbox = $('#<?php echo $inputName?>Enabled');
                                $checkbox.change(function(){
                                    $input = $('#<?php echo $inputName?>');
                                    $checkbox = $('#<?php echo $inputName?>Enabled');

                                    if (!$checkbox.is(':checked')) {
                                        $input.val('');
                                    } else {
                                        $input.focus();
                                    }
                                });
                            });
                            <?php  } ?>
                        </script>

                </div>
            </div>
            <?php 
        }
        ?>
        <div class="clearfix">
            <div class="col-sm-<?php echo $grid?>">&nbsp;</div>
            <div class="help-block text-center input <?php echo $inputGrid?>"><?php echo t('checkboxes activate corresponding boundary');?></div>
        </div>

		<div class="clearfix">
			<?php echo $form->label('filterPageType', t('Page Types'), $labelGrid); ?>
			<div class="input <?php echo $inputGrid?> "><?php echo $form->select('filterPageType', $pageTypeOptions, $filterPageType)?></div>
		</div>

		<div class="clearfix">
			<?php echo $form->label('searchKeywordSource', t('Keyword Filtering'), $labelGrid); ?>
			<div class="input <?php echo $inputGrid?> "><?php echo $form->select('searchKeywordSource', $keywordSources, $searchKeywordSource)?></div>
		</div>

        <div class="clearfix" id="keywordSearchFixed" <?php  if (Controller::KEYWORD_FIXED!=$searchKeywordSource) {?> style="display:none" <?php  } ?>>
            <?php echo $form->label('fixedKeyword', t("Keyword Search"), $labelGrid) ?>
            <div class="input <?php echo $inputGrid?>"><?php echo $form->text('fixedKeyword', $fixedKeyword)?></div>
        </div>

        <div id="KeywordSearchVariable" <?php  if (Controller::KEYWORD_REQUEST!=$searchKeywordSource) {?> style="display:none" <?php  } ?>>
            <div class="clearfix">
                <?php echo $form->label('keywordVariable', t("Request Variable Name"), $labelGrid) ?>
                <div class="input <?php echo $inputGrid?>"><?php echo $form->text('keywordVariable', $keywordVariable)?></div>
            </div>
            <div class="clearfix">
                <?php echo $form->label('allowEmptySearch', t("Allow Empty Searches"), $labelGrid) ?>
                <div class="input <?php echo $inputGrid?>"><?php echo $form->checkbox('allowEmptySearch', 1, $allowEmptySearch)?></div>
            </div>
        </div>

        <script type="text/javascript">
            $(function(){
                $('#searchKeywordSource').change(function(){
                    var source = parseInt($('#searchKeywordSource').val());

                    if (source == <?php echo Controller::KEYWORD_NONE ?>) {
                        $('#keywordSearchFixed').hide();
                        $('#KeywordSearchVariable').hide();
                    } else if (source == <?php echo Controller::KEYWORD_FIXED ?>) {
                        $('#keywordSearchFixed').show();
                        $('#KeywordSearchVariable').hide();
                    } else if (source == <?php echo Controller::KEYWORD_REQUEST ?>) {
                        $('#keywordSearchFixed').hide();
                        $('#KeywordSearchVariable').show();
                    }
                });
            });
        </script>

	</div>

	<!-- Display Options: -->

	<div class="tab-pane" id="display">

		<div class="clearfix" id="voteTemplate-div" >
			<?php echo $form->label('voteTemplate', t("Vote Template:"), $labelGrid) ?>
			<div class="input <?php echo $inputGrid?>"><?php echo $form->select('voteTemplate', $templateList, $voteTemplate) ?></div>
		</div>

		<div class="clearfix">
			<?php echo $form->label('nbItemsPerPage', t("Number of pages to show"), $labelGrid) ?>
			<div class="input <?php echo $inputGrid?>"><?php echo $form->number('nbItemsPerPage', $nbItemsPerPage)?></div>
		</div>

		<div class="clearfix">
			<?php echo $form->label( 'truncateSummaries', t("Truncate Summaries"), $labelGrid ) ?>
			<div class="input <?php echo $inputGrid?>"><?php echo $form->number('truncateSummaries', $truncateSummaries) ?></div>
		</div>

		<?php  foreach ( $checks as $key => $desc ) { ?>
		<div class="clearfix">
			<?php  echo $form->label($key, $desc, $labelGrid); ?>
			<div class="input <?php echo $inputGrid?>">
				<?php  echo $form->checkbox($key, 1, ${$key});?>
			</div>
		</div>
		<?php  } ?>

		<div class="clearfix" id="voteTemplate-images"  style="<?php $voteTemplate!='none'?'':'display:hidden'?>" >
			<?php echo $controller->getBallotBox()->editImages(); ?>
		</div>
	</div>

	<!-- Vote Options: -->

	<div class="tab-pane" id="voting">

		<?php  $controller->getBallotBox()->editForm(get_defined_vars()); ?>

		<div class="clearfix row" style="clear:both">
			<?php echo  $form->label('allowVoteForAll', t("vote on 'voteless' pages"), $labelGrid); ?>
			<div class="input <?php echo $inputGrid?>">
				<?php echo  $form->checkbox('allowVoteForAll', 1, $allowVoteForAll);?>
			</div>
		</div>
	</div>

</div>

<script type="text/javascript">

$(function(){

	// Tabs:
	var tabMenuRoot = 'ul#updown-tabs-menu';
	var tabPaneRoot = '#updown-tabs';

	$( tabMenuRoot + ' a').click(function(e){
		e.preventDefault();

        $(tabMenuRoot + ' li').removeClass('active');
        $(this.parentNode).addClass('active');
        pane = $(this).attr('href').replace('#','');
        $(tabPaneRoot + ' div.tab-pane').removeClass('active');
        $(tabPaneRoot + ' div.tab-pane#' + pane ).addClass('active');
	});

	$('#voteTemplate').change( function()
	{
		var val = $(this).val();
		if ( val == 'none' )
		{
			$('#voteTemplate-images').hide();
			return;
		}
		$('#voteTemplate-images').show();


		var data = { voteTemplate: val }
		var url = '<?php echo html_entity_decode($imageJSON);?>';
		$.getJSON( url, data,
			function(data) {
				ApplyImageDefaults(data);
			}
		).error( function(a,s,q){console.log(a.responseText)} );
	});

});
</script>
<?php 
// vim: set expandtab cindent ts=4 smarttab ai ci:
