<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use \Concrete\Package\GntVoteList\Src\PageVoteTarget;
use Concrete\Core\Http\Request;

if ($controller->isRunning($this->block)) {
	Log::error(t("Recursion detected in up/down page list cID %s", Page::getCurrentPage()->getCollectionID()));
	return;
}

$controller->startRender($this->block);

$pkg = Package::getByHandle('gnt_vote_list');

$uh = Core::make('helper/concrete/urls');
$nh = Core::make('helper/navigation');
$th = Core::make('helper/text');


$first = 'first';
?>
<div class="gnt_vote_list">
	<?php 
	foreach ($pages as $page) {

		// In case we get a ballot box rendered in the preview, we must indicate that the current page is not the target
		PageVoteTarget::setTargetCID($page->getCollectionID());
		$title = $th->entities($page->getCollectionName());
		$url = $nh->getLinkToCollection($page);
		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
		$target = empty($target) ? '_self' : $target;

		$date = $page->getCollectionDatePublic(DATE_APP_GENERIC_MDY_FULL);
		$author = $page->getVersionObject()->getVersionAuthorUserName();

		$entryController = $page->getController();
		if(method_exists($entryController,'getCommentCountString')) {
			$comments = $entryController->getCommentCountString('%s '.t('Comment'), '%s '.t('Comments'));
		}

		$main = new Area('Main');
		$main->disableControls();
        $currentPage = Page::getCurrentPage();
        $request = Request::getInstance();
	?>
		<div class="page_excerpt <?php echo $first?>">
				<?php  $controller->includeVoteTemplate($page, array('jsONVote' => $this->action('json_vote'))) ?>
			<div class="page_description">
				<h3><a href="<?php echo $url?>" target="<?php echo $target?>" ><?php echo $title?></a></h3>
				<div class="page_description">
				<h4><?php echo t('Posted by %s on %s',$author,$date); ?></h4>
                <div class="excerpt">
                    <?php 
                        $request->setCurrentPage($page);
                        $main->display($page);
                        $request->setCurrentPage($currentPage);
                    ?>
                </div>
				<div class="ccm-spacer"></div>
				<div class="meta"> <?php echo $comments?> <a href="<?php echo $url?>"><?php echo t('Read full post'); ?> &raquo;</a> </div> </div>
			</div>
		</div>
		<hr class="blog-entry-divider"/>
		<div style="clear:both"></div>

    <?php  $first = ''; } ?>
</div>


<?php   if ($displayPagination && $pagination) { ?>
    <?php echo  $pagination ?>
<?php  } ?>



<?php 
PageVoteTarget::resetTargetCID();

$controller->endRender($this->block);
// vim: set expandtab cindent ts=4 smarttab ai:
