<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Concrete\Package\GntVoteList\Src\PageBallotBox;

$uh   = Core::make( 'helper/concrete/urls' );
$nh   = Core::make( 'helper/navigation' );
$th   = Core::make( 'helper/text' );
$dh = Core::make('helper/date');

$first = 'first';
?>
<style type="text/css">

	.page_excerpt_blog_thumbnail_list .summary .thumbnail
	{
			display:inline-block;
			float: left ;
			margin-right: 20px;
            margin-bottom: 0px;
	}


	.page_excerpt_blog_thumbnail_list .summary .meta
	{
		font-size: 10px;
		text-align: right;
        margin-top: 20px;
        margin-bottom: -20px;
	}

</style>
<div class="gnt_vote_list ccm-block-page-list-wrapper">
    <div class="ccm-block-page-list-pages">
        <?php 
        foreach ($pages as $page) {
            $title = $th->entities($page->getCollectionName());
            $url = $nh->getLinkToCollection($page);
            $target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
            $target = empty($target) ? '_self' : $target;
            $description = html_entity_decode($page->getCollectionDescription());
            if ( $truncateSummaries ) $description = $th->shorten($description, $truncateSummaries);
            $description = $th->entities($description);	


            $bbox = new PageBallotBox($page->getCollectionID());
            $thumb = null;
            $thumbnail = $bbox->getPageThumbnail();

            if ($thumbnail) {
                $thumb = Core::make('helper/image')->getThumbnail($thumbnail, 97, 97, false );
            }

            $date = $dh->formatDateTime($page->getCollectionDatePublic(), true);
            $author = $page->getVersionObject()->getVersionAuthorUserName();

            $entryController = $page->getController();
            if(method_exists($entryController,'getCommentCountString')) {
                $comments = $entryController->getCommentCountString('%s '.t('Comment'), '%s '.t('Comments'));
            }

            // Get Price
        ?>
            <div class="ccm-block-page-list-page-entry">
                <div class="page_excerpt page_excerpt_blog_thumbnail_list ccm-block-page-list-page-entry-text <?php echo $first?>">
                    <?php  $controller->includeVoteTemplate($page, array('jsONVote' => $this->action('json_vote'))); ?>
                    <div class="page_description summary simple">
                        <div class="thumbnail"><a target="<?php echo $target?>" href="<?php echo $url?>"><?php  if ($thumb) {?><img src="<?php echo $thumb->src?>" width="<?php echo $thumb->width?>" height="<?php echo $thumb->height?>" /><?php  }?></a></div>
                        <div class="name ccm-block-page-list-title"><a target="<?php echo $target?>" href="<?php echo $url?>"><?php echo $title?></a></div>
                        <div class="date ccm-block-page-list-date"><?php echo t('Posted by %s on %s',$author,$date); ?></div>
                        <div class="ccm-block-page-list-description"><?php echo $description?></div>
                        <div class="meta"> <?php echo $comments?> <a href="<?php echo $url?>"><?php echo t('Read full post'); ?> &raquo;</a> </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div style="clear:both"></div>
            </div>

        <?php  $first = ''; } ?>
    </div>
</div>

<?php   if ($displayPagination && $pagination) { ?>
    <?php echo  $pagination ?>
<?php  } ?>
<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
