<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$pkg = Package::getByHandle('gnt_vote_list');
$uh = Core::make('helper/concrete/urls');

$nh = Core::make('helper/navigation');
$th = Core::make('helper/text');
$dh = Core::make('helper/date');

$first = 'first';
?>
<div class="gnt_vote_list ccm-block-page-list-wrapper">

    <div class="ccm-block-page-list-pages">
        <?php 
        if (0 == count($pages) && Page::getCurrentPage()->isEditMode()) {
            echo '<div class="alert alert-info text-center">' . t('VoteList: No pages to display, this message is only displayed in Edit Mode to ease the editting') . "</div>";
        }

        foreach ($pages as $page) {

            $title = $th->entities($page->getCollectionName());
            $url = $nh->getLinkToCollection($page);
            $target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
            $target = empty($target) ? '_self' : $target;
            $description = html_entity_decode($page->getCollectionDescription());
            if ($truncateSummaries) {
                $description = $th->shorten($description, $truncateSummaries);
            }
            $description = $th->entities($description);	
            $date = $dh->formatDateTime($page->getCollectionDatePublic(), true);
        ?>
            <div class="ccm-block-page-list-page-entry">
                <div class="page_excerpt <?php echo $first?> ccm-block-page-list-page-entry-text">
                    <?php  $controller->includeVoteTemplate($page, array( 'jsONVote' => $this->action('json_vote')))?>
                    <div class="page_description">
                        <div class="ccm-block-page-list-title">
                            <a href="<?php echo $url?>" target="<?php echo $target?>" ><?php echo $title?></a>
                        </div>
                        <div class="ccm-block-page-list-date"><?php echo $date?></div>
                        <div class="page_description ccm-block-page-list-description"><?php echo $description?></div>
                    </div>
                </div>
                <div style="clear:both"></div>
            </div>

        <?php  $first = ''; } ?>
    </div>

    <?php   if ($displayPagination && $pagination) { ?>
        <?php echo  $pagination ?>
    <?php  } ?>

</div>

<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
