<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntVoteList\Controller\Ajax;

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Controller\Controller;
use Page;
use Permissions;

class BlockRender extends Controller
{
    public function render($cID, $bID)
    {
        if (!$cID) {
            die(t("Invalid cID"));
        }

        $page = Page::getByID($cID);
        if (!$page) {
            die(t('page not found'));
        }

        $perm = new Permissions($page);
        if (!$perm->canRead()) {
            die(t('page access denied'));
        }

        $req = Request::get();
        $req->setCurrentPage($page);

        $block = Block::getByID($bID);
        if (!$block) {
            die(t('block not found'));
        }

        $perm = new Permissions($block);
        if (!$perm->canRead()) {
            die(t('block access denied'));
        }

        $block->display();
    }
}

