<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntVoteList\Controller\Json;

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Controller\Controller;
use Page;
use User;
use Permissions;
use Concrete\Package\GntVoteList\Src\PageBallotBox;

class ClearVoteLog extends Controller
{
    public function clearVotes($cType, $cID, $akHandle)
    {
        $page = Page::getByID($cID);
        if (!$page || $page->isError()) {
            echo json_encode(array( 'error' => t('Incorrect page selection') ));
            return;
        }

        if (!$akHandle) {
            print json_encode(array( 'error' => t('Wrong Vote selection') ));
            exit;
        }

        if (! $cType) {
            print json_encode(array( 'error' => t('Wrong Vote Type selection') ));
            exit;
        }

        $user = new User();
        if (!$user->checkLogin()) {
            print json_encode(array( 'error' => t('Anonymous access denied') ));
            exit;
        }

        $p = new Permissions($page);
        if (!$p->canApproveCollection()) {
            print json_encode(array( 'error' => t('Access Denied: insufficient permissions') ));
            exit;
        }

        $box = new PageBallotBox($cID, $akHandle);
        $box->clearVoteRecords();

        print json_encode(array( 'status' => 'SUCCESS' ));
        exit;
    }
}

