<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntVoteList\Controller\SinglePage\Dashboard\GntVoteList;

defined('C5_EXECUTE') or die('Access Denied.');

use PageList;
use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Package\GntVoteList\Src\PageVoteTarget;
use Concrete\Package\GntVoteList\Src\PageBallotBox;
use Concrete\Package\GntVoteList\Src\BallotBox;
use Log;
use Concrete\Package\GntVoteList\Attribute\GntBallotbox\Controller as BallotBoxAttr;

class Votes extends DashboardPageController
{

    public function view()
    {
        $list = new PageList();

        $bList = PageVoteTarget::getBallotBoxList();

        $filter = '';
        $or = '';
        foreach (array_keys($bList) as $handle) {
            $dbField = BallotBoxAttr::getSearchDbField($handle, BallotBoxAttr::TOTAL_VOTES);
            $filter .= "$or $dbField IS NOT NULL";
            $or = " OR ";
        }
        $list->filter(false, "( $filter )");
        $list->sortByDisplayOrder();
        $this->set('pageList', $list->get());
    }

    public function resetAllVotes()
    {
        $list = new PageList();

        $bList = PageVoteTarget::getBallotBoxList();

        $filter = '';
        $or = '';
        foreach (array_keys($bList) as $handle) {
            $dbField = BallotBoxAttr::getSearchDbField($handle, BallotBoxAttr::TOTAL_VOTES);
            $filter .= "$or $dbField IS NOT NULL";
            $or = " OR ";
        }

        $list->filter(false, "( $filter )");
        foreach ($list->get() as $page) {
            $cID = $page->getCollectionID();
            foreach (array_keys($bList) as $handle) {
                $box = new PageBallotBox($cID, $handle);
                if (!$box->isInstalled()) {
                    continue;
                }
                $box->clearVoteRecords();
                $box->reset();
            }
        }
        $this->set('message', t('Votes reseted'));
    }

    public function clearVoteBoxRecords($cID, $handle)
    {
        $box = new PageBallotBox($cID, $handle);
        $box->clearVoteRecords();
        $this->set('message', t('Ballot Box vote records cleared'));
    }

    public function resetVoteBoxRecords($cID, $handle)
    {
        $box = new PageBallotBox($cID, $handle);
        $box->clearVoteRecords();
        $box->reset();
        $this->set('message', t('Ballot Box votes reseted'));
    }

    public function apply_changes()
    {
        // TODO replace with preg_filter

        foreach (array_keys($this->post()) as $key) {
            // Argl would so love to use preg_filter here, but it requires PHP 5.3.0 :(
            if (preg_match('/^ccm-submit-clear-page-records-.*$/', $key)) {
                $handle = preg_replace('/^ccm-submit-clear-page-records-([^,]+),(\d+)/', '\1', $key);
                $cID = preg_replace('/^ccm-submit-clear-page-records-([^,]+),(\d+)/', '\2', $key);
                $this->clearVoteBoxRecords($cID, $handle);
                $this->view();

                return;
            } elseif (preg_match('/^ccm-submit-reset-page-votes-.*$/', $key)) {
                $handle = preg_replace('/^ccm-submit-reset-page-votes-([^,]+),(\d+)/', '\1', $key);
                $cID = preg_replace('/^ccm-submit-reset-page-votes-([^,]+),(\d+)/', '\2', $key);
                $this->resetVoteBoxRecords($cID, $handle);
                $this->view();

                return;
            }
        }
        if ($this->post('ccm-submit-clear-all-logs')) {
            BallotBox::clearAllVoteRecords();
            $this->set('message', t('Vote records cleared'));
        }
        if ($this->post('ccm-submit-reset-all-votes')) {
            $this->resetAllVotes();
        }
        $this->view();
    }
}

// vim: set expandtab cindent ts=4 smarttab ai:

