<?php  defined('C5_EXECUTE') or die("Access Denied.");
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use \Concrete\Package\GntVoteList\Src\BallotBox;

$form = \Core::make('helper/form');
$dt   = \Core::make('helper/form/date_time');
$ps   = \Core::make('helper/form/page_selector');

$checks = array (
	'voteEnabled' 		=> t('Enable Voting'),
	'anonymousCanVote'  => t('Allow anonymous vote' ),
	'allowVoteChange'   => t('Allow vote change' ),
	'recordStats'	    => t('Record vote statistics' ),
);

if ( !$voteOpening_activate ) $voteOpening = '';
if ( !$voteClosing_activate ) $voteClosing = '';
$redirectTypes = BallotBox::getRedirectTypes();

?>
<style type="text/css">
    fieldset .row .input .ccm-input-date-wrapper input.form-control.ccm-input-date { width: 96px !important; }
    fieldset .row .input .ccm-input-time-wrapper select.form-control{ width: 50px !important; padding: 3px}

</style>
<fieldset>

	<?php  foreach ( $checks as $key => $desc ) { ?>
	<div class="row">
		<?php  echo $form->label($key, $desc, array( 'class' => 'col-sm-5 text-right' ) ); ?>
		<div class="input col-sm-7">
			<?php  echo $form->checkbox($key, 1, ${$key} );?>
		</div>
	</div>
	<?php  } ?>

	<div style"<?php echo ($voteEnabled&&!$anonymousCanVote)?'':'display:none'?>" id="gnt-vote-redirect-anonymous">

        <div class="row">
            <?php echo $form->label( 'redirectType', t("Send Anonymous To:"), array('class' => 'col-sm-5 text-right') ) ?>
            <div class="input col-sm-7">
                <?php echo $form->select('redirectType', $redirectTypes, $redirectType ) ?>
            </div>
        </div>

        <div id="gnt-vote-redirect-url" class="row" style="<?php echo $redirectType == BallotBox::REDIRECT_TO_URL ? '' : 'display:none'?>">
            <?php echo $form->label('redirectUrl', t("URL:"), array('class' => 'col-sm-5 text-right'))?>
            <div class="input col-sm-7"><?php echo $form->text('redirectUrl', $redirectUrl )?></div>
        </div>
	</div>

	<div id="gnt-vote-redirect-page" class="row" style="<?php echo $redirectType == BallotBox::REDIRECT_TO_PAGE? '' : 'display:none'?>">
		<?php echo $form->label('rediretNode', t('Page:'), array('class' => 'col-sm-5 text-right'))?>
		<div class="input col-sm-7"><?php echo $ps->selectPage( 'redirectNode', $redirectNode); ?></div>
	</div>

	<div class="row" >
		<?php echo $form->label( 'voteOpening', t("Vote Opening:"), array('class' => 'col-sm-5 text-right') ) ?>
		<div class="input col-sm-7"><?php echo $dt->datetime( 'voteOpening', $voteOpening, true ) ?></div>
	</div>

	<div class="row">
		<?php echo $form->label( 'voteClosing', t("Vote Closing:"), array('class' => 'col-sm-5 text-right') ) ?>
		<div class="input col-sm-7"><?php echo $dt->datetime( 'voteClosing', $voteClosing, true ) ?></div>
	</div>

	<script type="text/javascript">
		$( function() 
		{
			function checkRedirect()
			{
				var canVote = $("#voteEnabled").is(':checked');
				var anonymousCanVote = $("#anonymousCanVote").is(':checked');
				var elem = $("#gnt-vote-redirect-anonymous");

				if ( canVote && !anonymousCanVote ) elem.show();
				else elem.hide();
			}
			$('#voteEnabled').change(checkRedirect);
			$('#anonymousCanVote').change(checkRedirect);

			$('#redirectType').change(function()
			{
				var type = parseInt($("#redirectType").val());
				var page = $("#gnt-vote-redirect-page");
				var url  = $("#gnt-vote-redirect-url");

				page.hide();
				url.hide();

				if ( type == <?php echo BallotBox::REDIRECT_TO_PAGE?> ) page.show();
				if ( type == <?php echo BallotBox::REDIRECT_TO_URL?> ) url.show();
			});
		});
	</script>

</fieldset>

<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
