<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 *                                                                             *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use \Concrete\Package\GntVoteList\Src\BallotBox;

\View::getInstance()->requireAsset('core/file-manager');

$dirs     = BallotBox::getVotingDirections();
$states   = BallotBox::getStates();
$onStates = BallotBox::getActivationStates();

$ih = \Core::make('helper/concrete/ui');
$form = \Core::make( 'helper/form' );

?>
<div class="text-align" ><strong><?php echo t("Widget Template Images:")?></strong></div>
<table class="table table-bordered table-condensed table-hover" >
	<thead >
		<tr>
			<td class="empty" rowspan="2"></td>
			<?php  foreach ($onStates as $onStateLabel) { ?>
				<th scope="column" colspan="2" class="text-center"><?php echo $onStateLabel?></th>
			<?php  } ?>
		</tr>
		<tr>
			<?php  foreach($onStates as $onState) foreach ($states as $stateLabel) { ?>
				<th scope="column" class="text-center"><?php echo $stateLabel?></th>
			<?php  } ?>
		</tr>
	</thead>
	<tbody>
		<?php  foreach($dirs as $dir => $dirLabel) { ?>
			<tr>
				<th scope="row" class="text-center"><?php echo $dirLabel?></th>
				<?php  foreach(array_keys($onStates) as $onState) foreach(array_keys($states) as $state) { ?>
					<td>
						<?php echo $form->hidden( $imgName = "image_${dir}_${onState}_${state}", $bbox->get($imgName) ) ?>
						<?php echo $form->hidden( "$imgName-default", $bbox->getDefaultImage( $dir, $onState, $state ) ) ?>
						<?php echo $ih->button_js( t('Reset'), "$('#$imgName-img').attr('src',$('#$imgName-default').val());$('#$imgName').val('');",  'right', 'btn btn-danger btn-xs' )?>
						<a href="javascript:void(0)" onclick="chooseImage('<?php echo $imgName?>')"><img id="<?php echo $imgName?>-img" src="<?php echo $bbox->getImage($dir, $onState, $state)?>"/></a>
					</td>
				<?php  } ?>
			</tr>
		<?php  } ?>
	</tbody>
</table>

<script type="text/javascript">
function chooseImage(name)
{
	var baseName = name;
	var defaultImage = name + '-default';
	var imageId = name + '-img';

	ConcreteFileManager.launchDialog( 
		function(obj){

			if (obj && obj.fID) {
				ConcreteFileManager.getFileDetails( obj.fID, function(details) {

					if ( details.files && details.files.length > 0 ) {
						obj = details.files[0];
						$("#" + baseName).val(obj.fID);
						$("#" + imageId).attr( 'src', obj.url);
					}

				});
			}
		}, 
		{filters: [{ field: '<?php echo \Concrete\Controller\Search\Files::FILTER_BY_TYPE?>', type: '<?php echo Concrete\Core\File\Type\Type::T_IMAGE?>' }]} 
	);

}

function ApplyImageDefaults (imageArray) 
{
	$.each(imageArray, function(dir, dirList)
	{
		$.each(dirList, function(onState, stateList)
		{
			$.each(stateList, function(state, image) 
			{
				var baseName = 'image_' + dir + '_' + onState + '_' + state;
				$('#' + baseName + '-default' ).val( image );
                var val = $('#' + baseName).val();
				if (-1 == parseInt(val) || '' == val) {
					$('#' + baseName + '-img').attr('src', image);
				}
			});
		});
	});
}
</script>

<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
