<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$form = \Core::make('helper/form');
$ih   = \Core::make('helper/concrete/ui');
$nh   = \Core::make('helper/navigation');

$action = $this->action('update_stats');
$clearAction = $this->action('clear_stats');

$colors = array('#666699','#1ebe2d','#be1e2d','#ee8310','#8d10ee','#5a3b16','#26a4ed','#f45a90','#e9e744');


$tNames = array( 
	'total' => t('total votes'),
	'up'    => t('up votes' ),
	'score' => t('resulting score' ),
	'down'  => t('down votes' ),
);
$idx = 0;
?>
<style type="text/css">
 table.dataTable 
 {
	font-size: 10px ;
	width: 100%;
    vertical-align:middle;
 }


.ccm-pane-body table.dataTable.table thead,
.ccm-pane-body table.dataTable.table th
 {
	font-weight: bold;
	padding-right:5px;
    background-color: #f3f3f3;
 }

.ccm-pane-body table.dataTable.table th[scope="row"] {text-align: right; font-size: 12px}
.ccm-pane-body table.dataTable.table th[scope="col"] {width: 0; white-space: normal; text-align: center;}

 table.dataTable caption
 {
 	font-size: 19.5px;
	line-height: 36px;
	color: #333;
	padding-top: 10px;
	padding-bottom: 10px;
	
 }

 table.table.dataTable td {
    color: #ddd;
    vertical-align:middle !important;
    text-align: center !important;
 }

 table.table.dataTable td.active {
    color: inherit;
    font-weight: bold;
 }


 .cursor-selection
 {
    border-left: 1px dashed red !important;
 }

 .label-selection
 {
    font-style: italic;
    color: red !important;
    text-decoration: underline;
 }

.visualize ul.visualize-labels-x li span
{
    width:0;
    white-space: normal;
    text-align: center;
    padding-left: 2ex;
}
.visualize ul.visualize-labels-x li span.label.first-label
{
    padding-left: 0;
    margin-left: -1ex !important;
}

 #updown-vote-statistics select { margin-right: 10px; min-width: 150px; }

</style>

<form id="updown-vote-statistics" method="post" action="<?php echo $action?>">
    <?php echo  isset($_REQUEST['randomify'])? $form->hidden('randomify',$_REQUEST['randomify']):''?>
	<fieldset>
		<div class="ccm-pane-body clearfix" style="width:100%">

			<?php  if (0 == count( $stats)) { ?>
				<div class="alert alert-warning"><?php echo t("There is no statistics to show on your website")?></div>
			<?php  } else { ?>
				<ul class="nav nav-tabs" id="updown-tabs-menu">
				<?php  foreach($stats as $name => $stat) { ?>
                    <li <?php echo $idx==0?'class="active"': ''?> ><a href="#stat-<?php echo $idx?>" role="tab" data-toggle="tab"><?php echo $name?></a></li>
				<?php  $idx++; } $idx = 0; ?>
				</ul>
                
                <div class="tab-content" id="updown-tabs">

				<?php  foreach( $stats as $name => $stat ) { ?>
                    <div class="tab-pane <?php echo $idx==0?'active':''?>" id="stat-<?php echo $idx?>" >
					<table class="table table-bordered dataTable" id="votelist-stattable-stat-<?php echo $idx?>" >
						<caption><?php echo $name?></caption>
						<thead>
							<tr><td class="empty"></td>
							<?php  $col=0; foreach( array_keys($stat) as $t ) { ?>
                                <th scope="col" class="col-<?php echo $col++?>"><?php echo $t?></th>
							<?php  } ?>
							</tr>
						</thead>
						<tbody>
							<?php  $row=0; foreach ( $dataLines as $name ) { $col=0; ?> 
                                <tr style="color:<?php echo $colors[$row++]?>"><th scope="row"><?php echo $tNames[$name]?></th>
								<?php  foreach ( $stat as $t => $stats ) { ?>
                                    <td class="col-<?php echo $col++?>"><?php echo $stats[$name]?></td>
								<?php  } ?>
								</tr>
							<?php  } ?>
						</tbody>
					</table>
					</div>

				<?php  $idx++; } $idx = 0; ?>

                </div>
            </div>

            <div class="ccm-dashboard-form-actions-wrapper">

				<div class="ccm-dashboard-form-actions">

					<?php echo $ih->submit(t('Update Stats'), 'update-stats','right','btn-primary'); ?>
					<?php echo $ih->button(t('Clear Stats'), $clearAction, 'right','btn-danger', array('style'=>'margin-right: 10px')); ?>
                    <div class="form-inline" style="color:#eee">
                        <?php echo $form->label('targetCID', t('Page :') ); ?>
                        <?php echo $form->select('targetCID', $collections, $targetCID ); ?>

                        <?php echo $form->label('akHandle', t('Ballot Box :') ); ?>
                        <?php echo $form->select('akHandle', $boxesList, $akHandle ); ?>

                        <?php echo $form->label('uID', t('User Name :') ); ?>
                        <?php echo $form->select('uID', $userList, $uID ); ?>
                    </div>

				</div>

			<?php  } ?>

		</div>
	</fieldset>

</form>

<div class="row" style="min-height:20em"> </div>
<script type="text/javascript">
$(function(){

	var upDownGraphs = {};

	function refreshGraph(pane)
	{
		if ('undefined' == typeof(upDownGraphs[pane])) {
			var e = $('#votelist-stattable-' + pane );
			if ('function' == typeof(e.visualize)) {
				var graph = e.visualize( 
							{
								type: 'line', 
                                colors: <?php echo json_encode($colors)?>,
								width: $(e).width()-15, height: 300, lineWeight: 2, appendTitle: false
							});
				upDownGraphs[pane] = graph;
			}
		}

        if (upDownGraphs[pane]) {
            upDownGraphs[pane].trigger('visualizeRefresh');
        }
	}

	var tabMenuRoot = 'ul#updown-tabs-menu';
	var tabPaneRoot = '#updown-tabs';

	$( tabMenuRoot + ' a').click(function(e){
		e.preventDefault();

        $(tabMenuRoot + ' li').removeClass('active');
        $(this.parentNode).addClass('active');
        pane = $(this).attr('href').replace('#','');
        $(tabPaneRoot + ' div.tab-pane').removeClass('active');
        $(tabPaneRoot + ' div.tab-pane#' + pane ).addClass('active');
        refreshGraph(pane);
	});

    refreshGraph('stat-0');

    $('.visualize ul.visualize-labels-x li:first span.label').addClass("first-label");

    $('table.table td').hover(function(){
        var $this = $(this);
        var $table = $($this.closest('table'));
        var colClass = $this.attr('class');
        var $pane  = $($table.closest('div.tab-pane'));
        var $graph = $($pane.find('div.visualize'));
        var caption = $($table.find("th." + colClass ).get(0)).text();

        var graphLabel = null;
        var cur;

        $table.find('td').removeClass('active');
        $table.find('th').removeClass('active');
        $table.find("." + colClass ).addClass('active');
        $graph.find('ul.visualize-labels-x span').removeClass('cursor-selection');
        $graph.find('ul.visualize-labels-x span').removeClass('label-selection');

        if (caption) {
            $graph.find('ul.visualize-labels-x span').each(function(e,idx){
                if ($(this).text()==caption) {
                    $(this).addClass('label-selection');
                    $($(this).siblings().get(0)).addClass("cursor-selection");
                }
            });
        }

    });

});
</script>
<?php 
// vim: set expandtab cindent ts=4 smarttab ai:
