<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */


use Concrete\Package\GntVoteList\Src\PageVoteTarget;
use Concrete\Package\GntVoteList\Src\PageBallotBox;

$form = \Core::make('helper/form');
$ih   = \Core::make('helper/concrete/ui');
$nh   = \Core::make('helper/navigation');

$boxList = PageVoteTarget::getBallotBoxList();

$action = $this->action( 'apply_changes' );

$centerStyle = "vertical-align:middle; text-align:center;";
$shrink = "width:1px;white-space:nowrap;";

?>
<form id="updown-vote-report-settings" method="post" action="<?php echo $action?>">
	<fieldset>
		<div class="ccm-pane-body">

			<?php  if (count($pageList)) { ?>

			<table class="table table-bordered">
			<thead style="background-color:#f3f3f3">
			<tr>
				<th style="<?php echo $centerStyle?> white-space:nowrap;" class="subheader" colspan="2"><?php echo t('Pages information')?></th>
				<th style="<?php echo $centerStyle?>" class="subheader" rowspan="2"><?php echo t('Ballot Box Name')?></th>
				<th style="<?php echo $centerStyle?>" class="subheader" colspan="4"><?php echo t('Vote Statistics')?></th>
				<th style="<?php echo $centerStyle . $shrink?>" class="subheader" rowspan="2"><?php echo t('Users Vote Records')?></th>
				<th style="<?php echo $centerStyle . $shrink ?>" class="subheader" rowspan="2"><?php echo t('Reset')?></th>
			</tr>
			<tr>
				<th style="<?php echo $centerStyle . $shrink ?>" class="subheader">cID</th>
				<th style="<?php echo $centerStyle ?>" class="subheader"><?php echo t('Page Name')?></th>
				<th style="<?php echo $centerStyle . $shrink ?>" class="subheader"><?php echo t('Up')?></th>
				<th style="<?php echo $centerStyle . $shrink ?>" class="subheader"><?php echo t('Down')?></th>
				<th style="<?php echo $centerStyle . $shrink ?>" class="subheader"><?php echo t('Total')?></th>
				<th style="<?php echo $centerStyle . $shrink ?>" class="subheader"><?php echo t('Score')?></th>
			</tr>
			</thead>
			<tbody>
			<?php  
			foreach ( $pageList as $page ) { 
				$cID = $page->getCollectionID();
				$link = $nh->getLinkToCollection( $page );

				$votes = array();
				foreach ($boxList as $handle => $name) {
					$attr = $page->getAttribute($handle);
                    if (!$attr) {
                        continue;
                    }

					$box = new PageBallotBox( $cID, $handle );
					$up     = $box->getUpVotes();
					$down   = $box->getDownVotes();
					$votes[$handle] = array( 
						'up'     => $box->getUpVotes(),
						'down'   => $box->getDownVotes(),
						'total'  => $box->getTotalVotes(),
						'score' => $box->getScore(),
						'records' => $box->getRecordsCount(),
					);
				}

				$totalBoxes = count( $votes );
				$passed = false;

				foreach ($votes as $handle => $report) {
			?>
		
				<tr>
					<?php  if (!$passed) { $passed = true; ?>
						<td rowspan="<?php echo $totalBoxes?>" style="vertical-align:middle" ><a href="<?php echo $link?>" ><?php echo $page->getCollectionID();?></a></td>
						<td rowspan="<?php echo $totalBoxes?>" style="vertical-align:middle" ><a href="<?php echo $link?>" ><?php echo $page->getCollectionName();?></a></td>
					<?php  } ?>

					<td><?php echo $boxList[$handle] ?></td>
					<td style="<?php echo $centerStyle?>" ><?php echo $report['up']     ?></td>
					<td style="<?php echo $centerStyle?>" ><?php echo $report['down']   ?></td>
					<td style="<?php echo $centerStyle?>" ><?php echo $report['total']  ?></td>
					<td style="<?php echo $centerStyle?>" ><?php echo $report['score'] ?></td>
					<td style="vertical-align:middle" >
					<?php echo $report['records']?>
					<?php echo $ih->submit( t("Clear"), "clear-page-records-$handle,$cID", 'right', 'btn-danger btn-xs' ); ?>
					</td>
					<td style="<?php echo $shrink?> vertical-align:middle">
					<?php echo $ih->submit( t("Reset"), "reset-page-votes-$handle,$cID", 'right', 'btn-danger btn-xs' ); ?>
					</td>
				</tr>

				<?php  } ?>
			<?php  } ?>
			</tbody>
			</table>

			<div class="text-muted"><?php echo t('Reminder: Clearing vote records only allows logged in users to vote again but does not change the vote value. If you wish to reset votes, use the "Reset" button, which will both reset and clear the vote history')?></div>

			<?php  } else { ?>
				<div class="alert alert-warning"><?php echo t("There are no vote statistics to show at the moment")?></div>
			<?php  } ?>
		
		</div>
	</fieldset>

    <!-- Buttons -->
    <div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">
		<?php  
			echo $ih->submit(t('Reset All Votes'), 'reset-all-votes','right','btn-danger');
            echo '<span style="float:right">&nbsp;</span>';
			echo $ih->submit(t('Clear All Vote Records'), 'clear-all-logs','right','btn-danger');
		?>
		</div>
    </div>

</form>
<?php  
// vim: set expandtab cindent ts=4 smarttab ai:
